<?php

/*
-----------------------------
Функция проверки AJAX запроса
-----------------------------
*/
  
FUNCTION AJAX() {
  
  IF (ISSET($_SERVER['HTTP_X_REQUESTED_WITH']) && !EMPTY($_SERVER['HTTP_X_REQUESTED_WITH']) && STRTOLOWER($_SERVER['HTTP_X_REQUESTED_WITH']) == 'xmlhttprequest') {
    
    RETURN TRUE;
  
  }ELSE{
    
    RETURN FALSE;
    
  }
  
}

?>